FruxonDocs
IntegrationsConfigs

Publishes the current draft as a new revision.

Snapshots the config's current `Parameters`, `Auth`, and `AuthMap` into a new immutable revision, increments the version, and repoints `PublishedRevisionId` at it. Subsequent tool calls resolving this config will use the new revision immediately. To revert, call `/integrations/{integration}/configs/{config}:rollback` with a prior revision ID.

POST
/v1/tenants/{tenant}/integrations/{integration}/configs/{config}:publish
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

config*string

The configuration ID.

Formatuuid
tenant*string

The tenant identifier

integration*string

The integration identifier

Optional publish note.

note?string|null
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/integrations/string/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08:publish" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "configId": "46ff6d11-d8b2-40d8-9197-dfa33c61cd6c",
  "version": 0,
  "parameters": {
    "property1": "string",
    "property2": "string"
  },
  "auth": {
    "integrationAuthMetadataId": "string",
    "level": "UNSPECIFIED",
    "parameters": {
      "property1": "string",
      "property2": "string"
    }
  },
  "authMap": [
    {
      "parameters": {
        "property1": "string",
        "property2": "string"
      },
      "authConfig": {
        "integrationAuthMetadataId": "string",
        "level": "UNSPECIFIED",
        "parameters": {
          "property1": "string",
          "property2": "string"
        }
      }
    }
  ],
  "sandboxMode": "UNSPECIFIED",
  "sandboxVariant": {
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "auth": {
      "integrationAuthMetadataId": "string",
      "level": "UNSPECIFIED",
      "parameters": {
        "property1": "string",
        "property2": "string"
      }
    },
    "authMap": [
      {
        "parameters": {
          "property1": "string",
          "property2": "string"
        },
        "authConfig": {
          "integrationAuthMetadataId": "string",
          "level": "UNSPECIFIED",
          "parameters": {
            "property1": "string",
            "property2": "string"
          }
        }
      }
    ]
  },
  "note": "string",
  "createdBy": "string",
  "createdAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}